Page MenuHomePhabricator

Move more log types to new user name when renaming a user (for example thanks logs)
Closed, ResolvedPublic

Description

With r32816 the block and rights logs was added for user renaming. Please include more log types for renaming, for example the thanks logs.

All log types returned by hook 'GetLogTypesOnUser' are candidat for renaming in the same way as the block and rights log, because the user name is stored in the log_title.

Nice to have: Also add a maintenance script to clean up the old renames for the newly added log types.

Event Timeline

Umherirrender raised the priority of this task from to Needs Triage.
Umherirrender updated the task description. (Show Details)
Umherirrender changed Security from none to None.
Umherirrender added a subscriber: Umherirrender.
Aklapper triaged this task as Lowest priority.Dec 17 2014, 12:51 PM

If I understood discussions on de.wp user pages correctly this seems to also affect SUL users. Increasing priority slightly and adding the SUL project for the time being.

Aklapper raised the priority of this task from Lowest to Low.Dec 17 2014, 4:53 PM

@Legoktm: Do you know if any work is planned on this task?

@Legoktm: Do you know if any work is planned on this task?

I personally am not planning to work on it, and since it's not really a blocker for SUL finalization, it's not high priority. If someone submits patches I'll be more than happy to review them though. :)

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 30 2015, 8:10 PM

Change 200726 had a related patch set uploaded (by Legoktm):
Add SpecialLog::getLogTypesOnUser()

https://gerrit.wikimedia.org/r/200726

Change 200727 had a related patch set uploaded (by Legoktm):
Update more log entries that are specifically about users

https://gerrit.wikimedia.org/r/200727

Change 200726 merged by jenkins-bot:
Add SpecialLog::getLogTypesOnUser()

https://gerrit.wikimedia.org/r/200726

Change 200727 merged by jenkins-bot:
Update more log entries that are specifically about users

https://gerrit.wikimedia.org/r/200727

Legoktm closed this task as Resolved.Mar 31 2015, 7:02 PM
Keegan moved this task from Doing to Done on the SUL-Finalization board.Apr 1 2015, 9:39 AM